Name:		ffmulticonverter
Version:	1.5.1
Release:	%mkrel 1
Summary:	GUI File Format Converter
Summary(fr_FR):	Convertisseur graphique de fichiers audio, vidéo, image et documents
Group:		Video/Editors and Converters
License:	GPLv3
URL:		https://sites.google.com/site/ffmulticonverter/home
Source0:	http://sourceforge.net/projects/ffmulticonv/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.5.1-mga-icon_path.patch
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python-setuptools
# The imagemagick is needed only for the 'convert' commande in the section 'install'.
BuildRequires:	imagemagick

Requires:	python-qt4
Suggests:	pythonmagick
Suggests:	unoconv
Suggests:	ffmpeg


%description
Graphical application which enables you to convert audio, video, image and
document files between all popular formats using ffmpeg, Unoconv, and
PythonMagick.

Features:
 - Conversions for several file formats.
 - Very easy to use interface.
 - Access to common conversion options.
 - Audio/video ffmpeg-presets management.
 - Options for saving and naming files.
 - Recursive conversions
 
%description -l fr_FR
Application graphique qui vous permet de convertir des fichiers audio, vidéo, 
images et documents entre tous les formats populaires à l'aide de ffmpeg, 
Unoconv et PythonMagick. 

Caractéristiques:
  - Conversions pour plusieurs formats de fichiers.
  - Très facile à utiliser l'interface.
  - Accès aux options de conversion communes.
  - Gestionnaire audio/vidéo ffmpeg-presets.
  - Options pour sauvegarder et nommer les fichiers.
  - Conversions récursives

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
python setup.py build

%install
python ./setup.py install -O1 --root=%{buildroot}

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
convert -scale 16x16 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 48x48 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32x32 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png

%files
%doc ChangeLog COPYING README.txt AUTHORS TRANSLATORS
%dir %{python_sitelib}/*
%dir %{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/presets.xml
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{python_sitelib}/ffmulticonverter-%{version}-py2.7.egg-info
%{python_sitelib}/*/*
%{_mandir}/man1/ffmulticonverter.1.xz


%changelog

* Sat Jun 08 2013 david.david (MLO Team) <david.david> 1.5.1-1.mga3
+ Build package for Mageia 3 (Core)
- add french language in %%description and %%Summary
- new version: 1.5.1